# pod-kontor.service
# autogenerated by Podman 4.9.3
# Sun Apr 19 16:28:14 CEST 2026

[Unit]
Description=Podman pod-kontor.service
Documentation=man:podman-generate-systemd(1)
Wants=network-online.target
After=network-online.target
RequiresMountsFor=/run/user/1000/containers
Wants=kontor-activemq.service kontor-adminer.service kontor-angular.service kontor-api.service kontor-echo.service kontor-fiber.service kontor-javalin.service kontor-quarkus.service kontor-spring.service kontor-vue.service kontor-postgres.service
Before=kontor-activemq.service kontor-adminer.service kontor-angular.service kontor-api.service kontor-echo.service kontor-fiber.service kontor-javalin.service kontor-quarkus.service kontor-spring.service kontor-vue.service kontor-postgres.service

[Service]
Environment=PODMAN_SYSTEMD_UNIT=%n
Restart=on-failure
TimeoutStopSec=70
ExecStartPre=/usr/bin/podman pod create \
	--infra-conmon-pidfile %t/pod-kontor.pid \
	--pod-id-file %t/pod-kontor.pod-id \
	--exit-policy=stop \
	--name kontor \
	--infra \
	-p 5432:5432 \
	-p 8100:8100 \
	-p 8200:8200 \
	-p 8300:8300 \
	-p 8400:8400 \
	-p 8500:8500 \
	-p 8600:8600 \
	-p 8700:8700 \
	-p 8800:8800 \
	-p 8900:8080 \
	-p 61616:61616 \
	-p 8161:8161 \
	-p 5672:5672 \
	--network bridge \
	--replace
ExecStart=/usr/bin/podman pod start \
	--pod-id-file %t/pod-kontor.pod-id
ExecStop=/usr/bin/podman pod stop \
	--ignore \
	--pod-id-file %t/pod-kontor.pod-id  \
	-t 10
ExecStopPost=/usr/bin/podman pod rm \
	--ignore \
	-f \
	--pod-id-file %t/pod-kontor.pod-id
PIDFile=%t/pod-kontor.pid
Type=forking

[Install]
WantedBy=default.target
